summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-puzzle/tiny-and-big
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-puzzle/tiny-and-big')
-rw-r--r--games-puzzle/tiny-and-big/Manifest1
-rw-r--r--games-puzzle/tiny-and-big/metadata.xml10
-rw-r--r--games-puzzle/tiny-and-big/tiny-and-big-1.4.1.ebuild61
3 files changed, 72 insertions, 0 deletions
diff --git a/games-puzzle/tiny-and-big/Manifest b/games-puzzle/tiny-and-big/Manifest
new file mode 100644
index 00000000000..e1c499e986c
--- /dev/null
+++ b/games-puzzle/tiny-and-big/Manifest
@@ -0,0 +1 @@
+DIST tinyandbig_grandpasleftovers-retail-linux-1.4.1_1370968537.tar.bz2 1170058011 SHA256 6ff9053399145996da000991a3ac723523d5b6224c9b74ec59b4deb2de38846f SHA512 3dbf6ebbe6047f5258f482e776809c6817df8d14cfc20014fb6e4a6accc3db3e93051270ce29371bc0ef56d380bd382dbf8eb75b592c3f0097ca3546d889193e WHIRLPOOL 910ebeb6df0b6c9ad5289f6c40bf27135207a57e27b6dfd3352968ba6078155ee1d806b750fa428f1e97d7b9e6e8a9081934cedcf36f7d62aae35afe5300c0db
diff --git a/games-puzzle/tiny-and-big/metadata.xml b/games-puzzle/tiny-and-big/metadata.xml
new file mode 100644
index 00000000000..fcab3b2f70a
--- /dev/null
+++ b/games-puzzle/tiny-and-big/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <use>
+ <flag name='bundled-libs'>
+ Use the upstream provided bundled libraries.
+ </flag>
+ </use>
+</pkgmetadata>
diff --git a/games-puzzle/tiny-and-big/tiny-and-big-1.4.1.ebuild b/games-puzzle/tiny-and-big/tiny-and-big-1.4.1.ebuild
new file mode 100644
index 00000000000..fd57cc193f9
--- /dev/null
+++ b/games-puzzle/tiny-and-big/tiny-and-big-1.4.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# TODO: unbundle media-libs/cal3d, lib hacked or old version
+
+EAPI=5
+
+inherit eutils games
+
+DESCRIPTION="Combines elements of adventure, jump&run and physical puzzles"
+HOMEPAGE="http://www.tinyandbig.com/"
+SRC_URI="tinyandbig_grandpasleftovers-retail-linux-${PV}_1370968537.tar.bz2"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="-* amd64 x86"
+IUSE="bundled-libs"
+RESTRICT="bindist fetch bundled-libs? ( splitdebug )"
+
+MYGAMEDIR=${GAMES_PREFIX_OPT}/${PN}
+QA_PREBUILT="${MYGAMEDIR#/}/bin32/*
+ ${MYGAMEDIR#/}/bin64/*"
+
+DEPEND="app-arch/bzip2"
+RDEPEND="
+ virtual/opengl
+ media-libs/openal
+ x11-libs/libX11
+ !bundled-libs? (
+ media-gfx/nvidia-cg-toolkit
+ )"
+
+S=${WORKDIR}/tinyandbig
+
+pkg_nofetch() {
+ einfo "Please buy & download ${SRC_URI} from:"
+ einfo " ${HOMEPAGE}"
+ einfo "and move it to ${DISTDIR}"
+ einfo
+}
+
+src_prepare() {
+ if use !bundled-libs ; then
+ rm -v $(usex amd64 "bin64" "bin32")/libCg{,GL}.so || die "unbundling libs failed!"
+ fi
+}
+
+src_install() {
+ local bindir=$(usex amd64 "bin64" "bin32")
+
+ insinto "${MYGAMEDIR}"
+ doins -r assets ${bindir}
+
+ games_make_wrapper ${PN} "./${bindir}/tinyandbig" "${MYGAMEDIR}" "${MYGAMEDIR}/${bindir}"
+ make_desktop_entry ${PN} "Tiny & Big"
+ dodoc readme.txt
+
+ fperms +x "${MYGAMEDIR}"/${bindir}/tinyandbig
+ prepgamesdirs
+}